;;; -*- Mode:Lisp; Syntax:Common-lisp; Package: modlisp; Base:10 -*-

(in-package #:modlisp)

(require "comm")

(defun make-socket-server (name port function &key wait (format :text))
  (comm:start-up-server
   :function (lambda (handle)
	       (let ((stream (make-instance 'comm:socket-stream :socket handle
					    :direction :io
					    :element-type 'base-char)))
		 (mp:process-run-function
		  (next-worker-name) '()
		  'apache-command-issuer stream function)))
   :service port :process-name name))
