;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10; Package: modlisp; -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          package.lisp
;;;; Purpose:       Package definition for modlisp package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Dec 2002
;;;;
;;;; $Id: package.lisp,v 1.1 2003/07/04 19:52:32 kevin Exp $
;;;; *************************************************************************

(in-package #:cl-user)

(defpackage #:modlisp
  (:nicknames #:ml)
  (:use #:cl #:kmrcl)
  (:export

   ;; data-structures.lisp
   #:*apache-socket*
   #:*close-apache-socket*
   #:*apache-nb-use-socket*

   ;; base.lisp
   #:modlisp-start
   #:modlisp-stop
   #:header-value
   #:write-header-line

   ;; utils.lisp
   #:output-html-page
   #:output-xml-page
   #:with-ml-page
   #:posted-to-alist
   #:redirect-to-location
   ))

