;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10; Package: modlisp -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          base.lisp
;;;; Purpose:       Base data and functions for modlisp package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Dec 2002
;;;;
;;;; $Id: data-structures.lisp,v 1.1 2003/07/04 19:52:32 kevin Exp $
;;;; *************************************************************************

(in-package #:modlisp)

(defvar *listener-count* 0
  "used to name listeners")

(defvar *worker-count* 0
  "used to name workers")

(defvar *listener-socket*
  "Socket for the listener")

(defvar *listener-proc* nil
  "Process for the listener")

(defconstant +default-apache-port+ 13244
  "Default port for listen")

(defvar *apache-socket* nil
  "the socket stream to apache")

(defvar *close-apache-socket* nil
  "set to T if you want to close the socket to apache after
the current command")

(defvar *apache-nb-use-socket* 0
  "the number of requests sent in this socket")

